[Medion P8610] 13.10: Kernel panic - not syncing (on system start)

Bug #1242938 reported by Fabian Wehning on 2013-10-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
High
Unassigned

Bug Description

If i start ubuntu 13.10 i always get the error (see attached picture). This happens if i start via live-usb stick and after normal update from 13.04 to 13.10 within ubuntu. The same usb-live stick works on another computer without any errors.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: ubuntu-release-upgrader-core 1:0.205
ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
Uname: Linux 3.8.0-31-generic i686
ApportVersion: 2.12.5-0ubuntu2
Architecture: i386
CrashDB: ubuntu
Date: Tue Oct 22 00:31:43 2013
InstallationDate: Installed on 2013-08-05 (77 days ago)
InstallationMedia: Ubuntu-GNOME 13.04 "Raring Ringtail" - Release i386 (20130424)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: release-upgrade
UpgradeStatus: Upgraded to saucy on 2013-10-20 (0 days ago)
VarLogDistupgradeTermlog:
---
ApportVersion: 2.12.5-0ubuntu2
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fabian 1845 F.... pulseaudio
DistroRelease: Ubuntu 13.10
HibernationDevice: RESUME=UUID=411d36d6-4f07-4f5b-a060-18096ace08de
InstallationDate: Installed on 2013-08-05 (79 days ago)
InstallationMedia: Ubuntu-GNOME 13.04 "Raring Ringtail" - Release i386 (20130424)
MachineType: Medion P8610
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-31-generic root=/dev/mapper/ubuntu--gnome--vg-root ro quiet splash
ProcVersionSignature: Ubuntu 3.8.0-31.46-generic 3.8.13.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-31-generic N/A
 linux-backports-modules-3.8.0-31-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: saucy
Uname: Linux 3.8.0-31-generic i686
UpgradeStatus: Upgraded to saucy on 2013-10-20 (2 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/28/2008
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: M1.04
dmi.board.name: P8610
dmi.board.vendor: Medion
dmi.board.version: REFERENCE
dmi.chassis.type: 10
dmi.chassis.vendor: Medion
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrM1.04:bd11/28/2008:svnMedion:pnP8610:pvrREFERENCE:rvnMedion:rnP8610:rvrREFERENCE:cvnMedion:ct10:cvr:
dmi.product.name: P8610
dmi.product.version: REFERENCE
dmi.sys.vendor: Medion

Fabian Wehning (fabian-wehning) wrote :
Brian Murray (brian-murray) wrote :

A kernel panic is a kernel bug.

affects: ubuntu-release-upgrader (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1242938

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Have I added now all the required information now?

Sorry for the wrong bug category. This was my first try to report a bug and was simply unsure how to work correctly with ubuntu-bug. If I can help any further please let me know.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.12 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc6-saucy/

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
tags: added: regression-release
Joseph Salisbury (jsalisbury) wrote :

We can perform a kernel bisect if the bug still exists in the latest mainline kernel.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

kernel-bug-exists-upstream

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

tags: added: trusty
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.9 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-saucy
v3.10 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-saucy
v3.11-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc1-saucy/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

tags: added: performing-bisect

The bug first occurs in "v3.10 final"

"v3.9 final" was OK

I will try to report to the upstream Developers. Even though it seems to be very difficult...

I hopefully have sent a report to the upstream developers now.

Joseph Salisbury (jsalisbury) wrote :

Thanks for reporting this upstream. In the mean time, we can perform a kernel bisect to identify the commit that caused this. Now that we know it was introduced in v3.10, we need to see which release candidate introduced the bug.

Can you test the following kernels and report back? We are looking for the earliest kernel version that exhibits this bug:

v3.10-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc4-saucy/

If v3.10-rc4 does not exhibit the bug then test v3.10-rc6:
v3.10-rc6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc6-saucy/

If v3.10-rc4 does exhibit the bug then test v3.10-rc2:
v3.10-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc2-saucy

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Both v3.10-rc4 and v3.10-rc2 exhibit the bug.

Bug is also in v3.10-rc1.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. So it sounds like the bug was introduced in 3.10-rc1, since it did not exist in 3.9 final. I'll start a bisect between these two versions.

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v3.9 final and v3.10-rc1. The kernel bisect will require testing of about 10 or so test kernels.

I built the first test kernel, up to the following commit:
73287a43cc79ca06629a88d1a199cd283f42456a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This test kernel has the bug

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
5d434fcb255dec99189f1c58a06e4f56e12bf77d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Even though i saw some messages while booting which I never have seen before this version does NOT have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
91bc033c4d01656e3d8e45a13fd58924a3099693

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Hey,

the i386 version seems to be missing. Can you build this, too?

Joseph Salisbury (jsalisbury) wrote :

There was an additional bug that prevented the building of an i386 kernel up to commit 91bc033c4. I was able to skip that commit and built the next kernel up to commit:
b2a63431b49f4ef4df1ea5ddb799af48cfa349fc

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Tested this version and it did not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
58717686cf7c7f5a70b3a8907ade8a3ce74306b1

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

Actually, the i386 build failed again, so there is only 64bit. I'll try to rebuild it.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
4294dcf7e335da72fe81538c46b4a8e83037ea20

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Ok this was a strange version. This version has a bug which prohibits to boot into ubuntu BUT not the bug we are searching for. This new bug was after the decryption of the hdd. The one we are searching for was way earlier.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
674853b222168f2066db028cad89ab52cbcdeee5

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Ok i have changed my system now to 64-bit (and make sure beforehand the bug is in 64-bit, too).
Therefore the missing i386 version is now no problem anymore.

Have tested your newest build afterwards and it does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
078be02b80359a541928c899c2631f39628f56df

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
3ed1c478eff8db80e234d5446cb378b503135888

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version has the bug!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
151173e8ce9b95bbbbd7eedb9035cfaffbdb7cb2

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
80b1c1999edbba3a411335f1650f0d92da391516

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version has the bug!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
077f893bd942b23d8e27c90f8f60018ce21010a0

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version has the bug!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
f084dbb939070281be7c882db63a4a428c51fcf4

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

It seems as if the files were not created.

Joseph Salisbury (jsalisbury) wrote :

Sorry, the files should be there now.

This version has a different but more critical bug. It crashes after showing "Loading initial ramdisk ...". Therefore i cannot say if the bug we are searching for is in this version.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
eccc534378e74030b31cfe10f1188df06f7f680a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version has the bug!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
c39660b232c5e4aee3cded5a02d28e71ca447fb8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
76a6225bf0b64572251a8c27d33e84afac6af713

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version has the bug!

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
ae1b4769989f8707a1f092db191fa2f9a0fc8604

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
6be58e2f21edd7362d985e0a44060352458c0f49

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

This version does not have the bug.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
d5a36100f62fa6db5541344e08b361b34e9114c5

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1242938

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

It crashes after showing "Loading initial ramdisk ...". Therefore i cannot say if the bug we are searching for is in this version.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. The bisect indicated one of the two commits introduced the regression:
commit 76a6225bf0b64572251a8c27d33e84afac6af713
Author: Bob Moore <email address hidden>
Date: Fri Mar 8 09:23:16 2013 +0000

    ACPICA: Split object conversion functions to a new file

or

commit d5a36100f62fa6db5541344e08b361b34e9114c5
Author: Bob Moore <email address hidden>
Date: Fri Mar 8 09:23:03 2013 +0000

    ACPICA: Add mechanism for early object repairs on a per-name basis

It doesn't seem like an easy task to revert these commits. I think we should notify upstream about this as well.

Also, the 3.13-rc2 kernel is now out. Would it be possible for you to test that kernel, to confirm this is not already fixed there:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc2-trusty/

I tested the 3.13-rc2 kernel and the bug still exist there.

Fabian Wehning, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc3-trusty/ and advise to the results?

tags: added: bisect-done
removed: performing-bisect
tags: added: latest-bios-1.04
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - 13.10: Kernel panic - not syncing (on system start)
+ [Medion P8610] 13.10: Kernel panic - not syncing (on system start)

Hello Christopher,

I have just installed and tested the version you have linked to. Unfortunately that version crashes already directly after the messages:

Loading Linux 3.13.0-031300rc3-generic ...
Loading initial ramdisk ...

Therefore I can tell you there seems to be issues with this version but i can not tell you if the bug I have reported is in this specific version of linux. If you have any further idea how I can get more information on this bug for you please tell me.

Fabian Wehning, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Please provide a direct URL to your post once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: kernel-bug-exists-upstream-v3.13-rc3
Changed in linux (Ubuntu):
status: Incomplete → Triaged

Even though I really want to report this upstream I have to admit I have absolutely no clue how to do it. The instructions are - let's call it - incomprehensible.

I am guessing I have an issue not related to USB therefore I should write an email to the appropriate mantainer of the certain driver. But what driver? Do I have a driver issue here? If yes, which could it be?

Then the format I should use: What do I do if I do not have important information like for [7.] Environment. My system is not starting. How should I create those information?

Can someone help me with those questions?

OK I have an idea now how to do it.. those instructions are horrible...at least for non-native speakers...

I have sent an upstream report to this list: <email address hidden>. Hopefully this is what I was intended to do.

Fabian Wehning, thank you for your comments. Unfortunately, the instructions aren't infallible, in that it doesn't take into account if you cannot boot into the mainline kernel. Unfortunately, while your post at http://marc.info/?l=linux-acpi&m=138749001928688&w=2 does at least have the suspected regression commit information, it could be more informative for a developer to fix the issue. Instead of doing all the steps in the mainline kernel, you could do it in the Ubuntu kernel, and just make it known you couldn't provide the information on the mainline kernel but it's reproducible with it.

Lv Zheng (lv-zheng) wrote :

Hi, this seems to be a regression that old _PRT repair code is broken due to the repair mechanism upgrading.

This commit has merged old repair code to the new mechanism:
===
Author Lv Zheng <email address hidden> 2013-06-08 01:01:01 (GMT)
Commit aa6329c44bccedbd8b17094c1c1aee1d9a9de461 (patch)
Subject: ACPICA: Move _PRT repair into the standard complex repair module

Moved this longstanding repair to the relatively new predefined
name repair module. ACPICA BZ 783. Lv Zheng.

No functional change. This change simply moves the repair code from
where it was originally implemented to the (more recent) repair
module where it now belongs.
===
Could you please first check if the kernel with this commit can work?

And if it still cannot work, could you please post an acpidump output here?

I've created a kernel.org bug entry for you, you can also register and post acpidump there:
https://bugzilla.kernel.org/show_bug.cgi?id=67901

Thanks in advance.

Fabian Wehning, could you please boot into the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc6-trusty/ execute the following in a terminal, and post the generated attachment uncompressed to the upstream report:
sudo apt-get install -y acpidump && sudo acpidump -o acpidump.txt

Changed in linux (Ubuntu):
status: Triaged → Incomplete
zephania (zephania) wrote :

Hello Christopher,
I have just tried to boot the version you have linked to. It produces the kernel panic reported by Fabian. So I could not open a terminal using this kernel.
Sorry Johannes

zephania, thank you for your comment. So your hardware and problem may be tracked, could you please boot into a prior working release and file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Lv Zheng (lv-zheng) wrote :

Hi, zephania

Thanks for the response.
Can boot into a working kernel/console and obtain the acpidump output and post it here?

Changed in linux (Ubuntu):
status: Incomplete → Triaged
zephania (zephania) wrote :

Hi, Lv Zheng
in the atachment you find the acpidump output of the 3.8.0-31-generic ubuntu kernel.
best regards
Johannes

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.